import service from '@/utils/request'

export const queryscreensParms = () => {
    return service({
        url: '/screens/screensParms',
        method: 'get',
    })
}

export const getScreensList = (data) => {
    return service({
        url: '/screens/getScreensList',
        method: 'post',
        data: data
    })
}

export const addScreens = (data) => {
    return service({
        url: '/screens/addScreens',
        method: 'post',
        data: data
    })
}

export const setScreensInfo = (data) => {
    return service({
        url: '/screens/updateScreens',
        method: 'put',
        data: data
    })
}

export const deleteBaseScreens = (data) => {
    return service({
        url: '/screens/delScreens',
        method: 'delete',
        data: data
    })
}